This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 808754 - Guests resumed during reboot lose their mouse input
Guests resumed during reboot lose their mouse input
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-31 10:51 EDT by Julian Sikorski
Modified: 2013-01-27 15:36 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-27 15:36:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Windows 7 guest domain xml file (2.42 KB, text/xml)
2012-03-31 10:51 EDT, Julian Sikorski
no flags Details

  None (edit)
Description Julian Sikorski 2012-03-31 10:51:57 EDT
Created attachment 574208 [details]
Windows 7 guest domain xml file

Description of problem:
I have recently discovered that if you restart the host while the guest is running, the latter would be suspended and resumed by libvirt. The problem is, that the mouse will not work with the guest after such operation. It happens with both Fedora 17 and Windows 7 guests, both running spice-vdagent. I'm attaching the domain xml file of the windows guest for reference.

Version-Release number of selected component (if applicable):
virt-manager-0.9.1-2.fc16.noarch
libvirt-0.9.6-5.fc16.x86_64
spice-gtk-0.10-1.fc16.x86_64

How reproducible:
always

Steps to Reproduce:
1. boot the windows guest
2. restart the host
3. start virt-manager again and try to use the mouse with the guest
  
Actual results:
There is no mouse, no arrow even.

Expected results:
Mouse works as expected.

Additional info:
Rebooting the host is needed more that usual due to bug 787467.
Comment 1 Laine Stump 2012-04-01 22:15:44 EDT
I am experiencing the same problem on F16 with the following packages

libvirt built from git (essentially libvirt-0.9.11-rc2)
spice-gtk-0.11-4.fc16.x86_64
qemu-kvm-0.15.1-4.fc16.x86_64

This only occurs on clients using spice, not on vnc clients.
Comment 2 Cole Robinson 2012-06-07 16:10:37 EDT
Laine (or Julian), can we try and eliminate some variables?

- Same with a full updated guest? host?
- Can you reproduce using just save/restore (no host reboot?) So sudo virsh managedsave $vmname, sudo virsh start $vmname
- Does removing spice-vdagent from the guest and rebooting the guest make the issue go away after another save+restore?
- Does the spicec client have the same issue?
Comment 3 Julian Sikorski 2012-06-07 16:58:11 EDT
Cole, I have deleted my F17 guest since I upgraded the host. I still have the windows one and will happily test it. I just wanted to clarify: by removing the vdagent do you mean stopping the service, or removing it altogether?
Comment 4 Cole Robinson 2012-06-07 17:13:09 EDT
Just stopping the service, and ensuring it doesn't auto start on reboot, should be fine.
Comment 5 Julian Sikorski 2012-06-24 07:59:17 EDT
I have just tried to reproduce this with F-17 host and it seems that the guest has not been suspended/resumed at all.
save/restore does not seem to trigger the issue, not on F-17 at least.
Comment 6 Julian Sikorski 2012-06-24 08:00:08 EDT
Clarification: I have rebooted the F-17 host and it seems that the Windows 7 guest was not saved/restored, just killed.
Comment 7 Fedora End Of Life 2013-01-16 09:43:15 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Cole Robinson 2013-01-27 15:36:03 EST
Since I haven't heard any other reports of this, just closing. If anyone can still reproduce on Fedora 18, please reopen and we can go from there.

Note You need to log in before you can comment on or make changes to this bug.